<?PHP
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
		
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];

include("../conex.php");
/********************************** Datos Empresa ****************** seleccionar cual empresa  es el ingreso  en ssesion******/
	$sql_empresa = "SELECT * FROM empresa WHERE  id=$id_empresa;";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
			$empresa_rut = str_replace('.', '', $empresa_rut);
		$sitio_empresa=mysql_result($res_empresa, $row, "sitio_empresa");
        $ip_empresa=mysql_result($res_empresa, $row, "ip_empresa");
			
			
			
		}
//*********************************************************************************************************
 $fecha = $fecha[6]."".$fecha[7]."".$fecha[8]."".$fecha[9]."-".$fecha[3]."".$fecha[4]."-".$fecha[0]."".$fecha[1];
 
  $num_resp=53;   //$cor[$i];
 
 $archivo=substr ($archivo,13);  // viene de muestra_dte
 
   
//****  genera XML   R A ******

$xml=new DomDocument("1.0", "UTF-8");
 $raiz=$xml->createElement("Resultado");
 $raiz=$xml->appendChild($raiz); 
 $raiz->setAttribute("ID", "RECEP-".$num_resp);

  /*--Caratula -------------------------*/
    $Caratula=$xml->createElement("Caratula");
    $Caratula=$raiz->appendChild($Caratula); 
    $Caratula->setAttribute("version", "1.0");
	 
    $RutResponde=$xml->createElement("RutResponde", $empresa_rut);
    $RutResponde=$Caratula->appendChild($RutResponde); 

	$RutRecibe=$xml->createElement("RutRecibe", $emisor);
    $RutRecibe=$Caratula->appendChild($RutRecibe); 
	
	$IdRespuesta=$xml->createElement("IdRespuesta", $num_resp);
    $IdRespuesta=$Caratula->appendChild($IdRespuesta);

	$NroDetalles=$xml->createElement("NroDetalles", $cant);
    $NroDetalles=$Caratula->appendChild($NroDetalles);
	
    $TmstFirmaResp=$xml->createElement("TmstFirmaResp", date('Y-m-d').'T'.date('H:i:s'));
    $TmstFirmaResp=$Caratula->appendChild($TmstFirmaResp);
	
	$RecepcionEnvio=$xml->createElement("RecepcionEnvio");
    $RecepcionEnvio=$raiz->appendChild($RecepcionEnvio); 
	
	    $NmbEnvio=$xml->createElement("NmbEnvio",$archivo);
    	$NmbEnvio=$RecepcionEnvio->appendChild($NmbEnvio); 
		
		    $FchRecep=$xml->createElement("FchRecep",$fecha_entrada);
    	    $FchRecep=$RecepcionEnvio->appendChild($FchRecep); 
			
		 	$CodEnvio=$xml->createElement("CodEnvio",$num_resp);
    	    $CodEnvio=$RecepcionEnvio->appendChild($CodEnvio); 
			
			$EnvioDTEID=$xml->createElement("EnvioDTEID","SetDoc");
    	    $EnvioDTEID=$RecepcionEnvio->appendChild($EnvioDTEID); 
			
			$Digest=$xml->createElement("Digest",$DigestE);
    	    $Digest=$RecepcionEnvio->appendChild($Digest); 
			
			$RutEmisor=$xml->createElement("RutEmisor",$emisor);
    	    $RutEmisor=$RecepcionEnvio->appendChild($RutEmisor); 
			
			$RutReceptor=$xml->createElement("RutReceptor",$receptor);
    	    $RutReceptor=$RecepcionEnvio->appendChild($RutReceptor); 
			
			$EstadoRecepEnv=$xml->createElement("EstadoRecepEnv","0");
    	    $EstadoRecepEnv=$RecepcionEnvio->appendChild($EstadoRecepEnv); 
			
			$RecepEnvGlosa=$xml->createElement("RecepEnvGlosa","Envio Recibido Conforme");
    	    $RecepEnvGlosa=$RecepcionEnvio->appendChild($RecepEnvGlosa); 
			
			$NroDTE=$xml->createElement("NroDTE",$cant);
    	    $NroDTE=$RecepcionEnvio->appendChild($NroDTE); 


        
	//***************detalles *********		
		for ($i=0; $i<$cant; $i++)
	     { 
	  $RecepcionDTE=$xml->createElement("RecepcionDTE");
      $RecepcionDTE=$RecepcionEnvio->appendChild($RecepcionDTE); 
		 
		 $TipoDTE=$xml->createElement("TipoDTE", $TipoDTE_O[$i]);
    	 $TipoDTE=$RecepcionDTE->appendChild($TipoDTE);
		
		  $Folio=$xml->createElement("Folio", $nro[$i]);
    	 $Folio=$RecepcionDTE->appendChild($Folio);
		
		  $FchEmis=$xml->createElement("FchEmis",$fecha_emision[$i]);
    	 $FchEmis=$RecepcionDTE->appendChild($FchEmis);
		
		  $RUTEmisor=$xml->createElement("RUTEmisor",$rut_emisor[$i]);
    	 $RUTEmisor=$RecepcionDTE->appendChild($RUTEmisor);
		 
		  $RUTRecep=$xml->createElement("RUTRecep",$rut_receptor[$i]);
    	 $RUTRecep=$RecepcionDTE->appendChild($RUTRecep);		
		 
		  $MntTotal=$xml->createElement("MntTotal", $total[$i]);
    	 $MntTotal=$RecepcionDTE->appendChild($MntTotal);
		 
		  $EstadoRecepDTE=$xml->createElement("EstadoRecepDTE", $sel[$i]);
    	 $EstadoRecepDTE=$RecepcionDTE->appendChild($EstadoRecepDTE);
		 
		 $glosa="DTE Recibido OK";
		 if ($sel[$i]==0) $glosa="DTE Recibido OK";
		 if ($sel[$i]==1) $glosa="DTE No recibido - Error Esquema";
		 if ($sel[$i]==2) $glosa="DTE No recibido - Error Firma";
		 if ($sel[$i]==3) $glosa="DTE No Recibido - Error en RUT Receptor";
		 
		 $RecepDTEGlosa=$xml->createElement("RecepDTEGlosa", $glosa);
    	 $RecepDTEGlosa=$RecepcionDTE->appendChild($RecepDTEGlosa);
		}
	//***************detalles *********		 
	
   
/*guardar xml--------------------------------*/ 

$archivo_x="RecepArchivo_".$archivo;
$archivo="../LibFE/DOC/ORIGINAL/".$archivo_x;


 $xml->formatOut=true;
 $strings_xml=$xml->saveXML(); 


if($xml->save($archivo)) 
  {
 
  
   subirArchivo($archivo_x, $ip_empresa, $id_empresa, $sitio_empresa);	// cargar archivo
   
  echo("Termino de crear el ".$archivo.""); 
  }
 else
 {   echo("No se puede guardar el ".$archivo); }

 
 ?><title>Recepcion Archivo XML</title>
 
 <table width="640" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
		<td width="10%" align="center">	<input type="button" name="Salir" value="Salir" onClick="fun_salir();"></td>
	</tr>
</table>




 <script>
function fun_salir()
	{
	window.top.open('','_parent','');window.top.close();		
	}
</script>


<?php 

/**
* Sube archivo usando cURL
* Pasa archivo por POST y lo recibe la variable global $_FILE.
* 
* La funcion retornará 0 o 1 desde el archivo receptor si:
* 0: La carga se ha completado
* 1: Se produjo algun error.
*/

function  subirArchivo($nombreArchivo,$ip_empresa,$emp,$sitio_empresa)
{
	$handle = curl_init();
	curl_setopt($handle, CURLOPT_POST, true);
	//curl_setopt($handle, CURLOPT_POSTFIELDS, array('file' => '@'.$nombreArchivo));
	curl_setopt($handle, CURLOPT_URL, 'http://'.$ip_empresa.'/'.$sitio_empresa.'/LibFE/firmarDTE/PreparaRecepArchivo.php?documento='.$nombreArchivo);
	curl_exec($handle);
	curl_close($handle);
}
?>